# module Readline

## Extended Modules

- Readline

## Defined in:

## Constant Summary

KeyBindingHandler = `->(count : LibReadline::Int, key : LibReadline::Int) do if (handlers = @@key_bind_handlers) && handlers[key.to_i32]? res = handlers[key].call(count.to_i32, key.to_i32) LibReadline::Int.new(res) else LibReadline::Int.new(1) end end`

## Instance Method Summary

- #autocomplete(&completion_proc : CompletionProc)
- #bind_key(c : Char, &f : KeyBindingProc)
- #done
- #done=(val : Bool)
- #line_buffer
- #point
- #readline(prompt = "", add_history = false)
- #unbind_key(c : Char)

## Instance Method Detail

def autocomplete(&completion_proc : CompletionProc) #
def bind_key(c : Char, &f : KeyBindingProc) #
def done #
def done=(val : Bool) #
def line_buffer #
def point #
def readline(prompt = "", add_history = false) #
def unbind_key(c : Char) #